package ink.wgink.interfaces.login.mongo;

import ink.wgink.pojo.pos.user.mongo.MongoUserPO;

import java.util.List;

/**
 * @ClassName: IMongoLoginService
 * @Description: mongo登录
 * @Author: wanggeng
 * @Date: 2022/5/19 11:29
 * @Version: 1.0
 */
public interface IMongoLoginService {

    /**
     * 刷新mongo
     *
     * @param userId
     */
    void update(String userId);

    /**
     * 删除
     *
     * @param userIds
     */
    void delete(List<String> userIds);

    /**
     * 用户详情
     *
     * @param userId
     * @return
     */
    MongoUserPO getPO(String userId);

    /**
     * 用户详情
     *
     * @param username
     * @return
     */
    MongoUserPO getPOByUsername(String username);


}
